# PSF-LoginServer - master - net.psforever.objects.ballistics.Projectile
PSF - LoginServer - master - net.psforever.objects.ballistics.Projectile
Keywords: PSF LoginServer master net.psforever.objects.ballistics.Projectile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

o

net.psforever.objects.ballistics

# Projectile 

###
Companion class Projectile

#### object Projectile extends Serializable

Source
  Projectile.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Projectile
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(profile: ProjectileDefinition, tool_def: ToolDefinition, fire_mode: FireModeDefinition, owner: SourceEntry, attribute_to: Int, shot_origin: Vector3, shot_angle: Vector3): Projectile
5.  def apply(profile: ProjectileDefinition, tool_def: ToolDefinition, fire_mode: FireModeDefinition, owner: PlanetSideGameObject with FactionAffinity, attribute_to: Int, shot_origin: Vector3, shot_angle: Vector3): Projectile

   Overloaded constructor for an `Unresolved` projectile.

   Overloaded constructor for an `Unresolved` projectile.

   profile

     an explanation of the damage that can be performed by this discharge

   tool_def

     the weapon that caused this discharge

   fire_mode

     the current fire mode of the tool used

   owner

     the agency that caused the weapon to produce this projectile

   attribute_to

     an object ID that refers to the method of death that would be reported

   shot_origin

     where the projectile started

   shot_angle

     in which direction the projectile was aimed when it was discharged

   returns

     the `Projectile` object

6.  def apply(profile: ProjectileDefinition, tool_def: ToolDefinition, fire_mode: FireModeDefinition, owner: PlanetSideGameObject with FactionAffinity, shot_origin: Vector3, shot_angle: Vector3): Projectile

   Overloaded constructor for an `Unresolved` projectile.

   Overloaded constructor for an `Unresolved` projectile.

   profile

     an explanation of the damage that can be performed by this discharge

   tool_def

     the weapon that caused this discharge

   fire_mode

     the current fire mode of the tool used

   owner

     the agency that caused the weapon to produce this projectile

   shot_origin

     where the projectile started

   shot_angle

     in which direction the projectile was aimed when it was discharged

   returns

     the `Projectile` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  final val baseUID: Int

   the first projectile GUID used by all clients internally

9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final val rangeUID: Int

    all clients progress through 40100 to 40124 normally, skipping only for long-lived projectiles 40125 to 40149 are being reserved as a guard against undetected overflow

20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped